Subject: [netatalk-admins] kernel 2.0.31 and performance

From: Michael Zuelsdorff <[email-masked]>
Date: Sun, 26 Oct 1997 11:35:52 +0100 (MET)

Hi,

after updating from Linux 2.0.30 to 2.0.31 I did a performance test
(with the lantest program from www.helios.de):

With traditional AppleShare, reading from the server is faster with the
new kernel while writing has become slower

Linux      Read    Write  (Mac IIci with 7.5.3)
2.0.30     360     310
2.0.31     525     275

with AppleShare/IP the overall performance is slower

Linux      Read    Write  (Performa 5300 with 7.6.1 & OT 1.2)
2.0.30     970     870
2.0.31     950     750

Well, besides the changes to ddp.c there is a lot different in the
aic7xxx driver (I'm using the 2940 Controller), but from tests with
"hdparm -t" and copying big chunks of data with "dd" I cannot state
that the new driver is basically slower...

Maybe some other users can post their experiences.

  _~_  (?)
 (o o)'
-- V -^ -----------------------------------------------------------------------
   .  N  .                             (!)              Michael   Zuelsdorff
    \ i /           I don't like LINUX -  ' ^ ^         Gruene  Riede  5    
  '. \u/ .'              I love it         (o o)        D 31311  Dollbergen   
    '>X<'                                  / v \        +49 517-792-2113
--- " L " --------------------------------//8'8\\------ [email-masked] --